/**********************************************************************/
/* Licensed Materials - Property of IBM                               */
/*                                                                    */
/* (C) Copyright IBM Corp. 2004, 2007  All Rights Reserved.           */
/*                                                                    */
/* US Government Users Restricted Rights - Use, duplication or        */
/* disclosure restricted by GSA ADP Schedule Contract with            */
/* IBM Corp.                                                          */
/**********************************************************************/
  
/* ------------------------------------------------------------------ */
/* KIC product specific data                                          */
/* ------------------------------------------------------------------ */

/*                Product Provided Take Action                        */

/* Start WIC Server V4.2 */ 

DELETE FROM O4SRV.CCT
   WHERE KEY = "ICSSTARTSRV";

INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("ICSSTARTSRV",
 "0000000000000000000000000000400000000000000",        /* AFFINITIES */
  "Start WIC Server",                                  /* NAME */
  "Start a WebSphere Interchange Server",              /* DESC */
  "start &WICS_Server.Server_Name &User &Password"                
  /* CMD */
 );


/* Start WIC Server V4.3 */ 

DELETE FROM O4SRV.CCT
   WHERE KEY = "ICSSTARTSRV43";

INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("ICSSTARTSRV43",
 "0000000000000000000000000000400000000000000",        /* AFFINITIES */
  "Start WIC Server V4.3",                                  /* NAME */
  "Start a Version 4.3 WebSphere Interchange Server",    /* DESC */
  "start &WICS_Server43.Server_Name &User &Password"                
  /* CMD */
 );


/* Stop WIC Server V4.2 */ 

DELETE FROM O4SRV.CCT
   WHERE KEY = "ICSSTOPSRV";

INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("ICSSTOPSRV",
 "0000000000000000000000000000400000000000000",         /* AFFINITIES */
  "Stop WIC Server",                                    /* NAME */
  "Stop a WebSphere Interchange Server",                /* DESC */
  "SNMP SET NETADDR=&WICS_Server.Agent_Name COMMUNITY=&Community
   ATTR=Server42_Status OID=&WICS_Server._ObjectInstance
   VALUE=inactive" /*CMD*/
 );


/* Stop WIC Server V4.3 */ 

DELETE FROM O4SRV.CCT
   WHERE KEY = "ICSSTOPSRV43";

INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("ICSSTOPSRV43",
 "0000000000000000000000000000400000000000000",         /* AFFINITIES */
  "Stop WIC Server V4.3",                                    /* NAME */
  "Stop a Version 4.3 WebSphere Interchange Server",        /* DESC */
  "SNMP SET NETADDR=&WICS_Server43.Agent_Name COMMUNITY=&Community
   ATTR=Server43_Status OID=&WICS_Server43._ObjectInstance
   VALUE=inactive" /*CMD*/
 );


/* Change Collaboration Status*/ 

DELETE FROM O4SRV.CCT
   WHERE KEY = "ICCHGCOLL";

INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("ICCHGCOLL",
  "0000000000000000000000000000400000000000000",        /* AFFINITIES */
  "Change WIC Collaboration Status",                    /* NAME */
  "Change Status of Collaboration:Active, Inactive, pause or shutdown",
  /* DESC */
  "SNMP SET NETADDR=&WICS_Collaboration.Agent_Name COMMUNITY=&Community 
ATTR=Collaboration_Status OID=&WICS_Collaboration._ObjectInstance VALUE=
&Collaboration_Status"  /* CMD */
 );


/* Change Connector Status*/ 

DELETE FROM O4SRV.CCT
   WHERE KEY = "ICCHGCONN";

INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("ICCHGCONN",
  "0000000000000000000000000000400000000000000",        /* AFFINITIES */
  "Change WIC Connector Status",                    /* NAME */
  "Change Status of Connector:Active, Inactive or pause",    /* DESC */
  "SNMP SET NETADDR=&WICS_Connector.Agent_Name COMMUNITY=&Community ATTR
=Connector_Status OID=&WICS_Connector._ObjectInstance VALUE=&Connector_S
tatus"   /* CMD */
 );


/* ************************************************* */
/*                                                   */
/*        define situations                          */
/*                                                   */
/* ************************************************* */

/******************************************/
/*     Server Situations                  */
/******************************************/

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Server_Not_Active";

DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Server_Active";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES, SITNAME, TEXT, PDT, AUTOSTART, ALERTLIST, QIBSCOPE,
  SENDMSGQ, AUTOSOPT, CMD, LSTRELEASE, LSTUSRPRF, LSTDATE,
  REEV_DAYS, REEV_TIME, ADVISE, SITINFO)
VALUES
  (
  "0000000000000000000000000000400000000000000",
  "IC_Server_Active",
  "WIC server is active",
  "*IF
   *VALUE KICTRAP00.Specific_Trap *EQ 1 *AND
   *SCAN KICTRAP00.Value_List *EQ Server42_Status=5",
  "*YES", "*NO", "E",
  "*NONE", "NNN",
  "*NONE",
  "V100", "CCC_V350", "1040307010101000",
  "0 ", "000500", "Expert advice", "SEV=Informational"
);


DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Server43_Not_Active";

DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Server43_Active";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES, SITNAME, TEXT, PDT, AUTOSTART, ALERTLIST, QIBSCOPE,
  SENDMSGQ, AUTOSOPT, CMD, LSTRELEASE, LSTUSRPRF, LSTDATE,
  REEV_DAYS, REEV_TIME, ADVISE, SITINFO)
VALUES
  (
  "0000000000000000000000000000400000000000000",
  "IC_Server43_Active",
  "WIC server is active",
  "*IF
   *VALUE KICTRAP00.Specific_Trap *EQ 1 *AND
   *SCAN KICTRAP00.Value_List *EQ Server43_Status=5",
  "*YES", "*NO", "E",
  "*NONE", "NNN",
  "*NONE",
  "V100", "CCC_V350", "1040307010101000",
  "0 ", "000500", "Expert advice", "SEV=Informational"
);

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Server_Memory_Low";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES, SITNAME, TEXT, PDT, AUTOSTART, ALERTLIST, QIBSCOPE,
  SENDMSGQ, AUTOSOPT, CMD, LSTRELEASE, LSTUSRPRF, LSTDATE,
  REEV_DAYS, REEV_TIME, ADVISE, SITINFO)
VALUES
  (
  "0000000000000000000000000000400000000000000",
  "IC_Server_Memory_Low",
  "Low free memory at WIC Server",
  "*IF
   *VALUE KICWICS_SERVER00.Free_Memory_Percent *LT 20",
  "*YES", "*NO", "E",
  "*NONE", "NNN",
  "*NONE",
  "V100", "CCC_V350", "1040307010101000",
  "0 ", "000500", "Expert advice", "SEV=Warning"
);


DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Server43_Memory_Low";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES, SITNAME, TEXT, PDT, AUTOSTART, ALERTLIST, QIBSCOPE,
  SENDMSGQ, AUTOSOPT, CMD, LSTRELEASE, LSTUSRPRF, LSTDATE,
  REEV_DAYS, REEV_TIME, ADVISE, SITINFO)
VALUES
  (
  "0000000000000000000000000000400000000000000",
  "IC_Server43_Memory_Low",
  "Low free memory at WIC Server",
  "*IF
   *VALUE KICWICS_SERVER4300.Free_Memory_Percent *LT 20",
  "*YES", "*NO", "E",
  "*NONE", "NNN",
  "*NONE",
  "V100", "CCC_V350", "1040307010101000",
  "0 ", "000500", "Expert advice", "SEV=Warning"
);

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Srv_Event_Flow_Failed_High";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES, SITNAME, TEXT, PDT, AUTOSTART, ALERTLIST, QIBSCOPE,
  SENDMSGQ, AUTOSOPT, CMD, LSTRELEASE, LSTUSRPRF, LSTDATE,
  REEV_DAYS, REEV_TIME, ADVISE, SITINFO)
VALUES
  (
  "0000000000000000000000000000400000000000000",
  "IC_Srv_Event_Flow_Failed_High",
  "High event flow failure at WIC Server",
  "*IF
   *VALUE KICWICS_SERVER00.Event_Flows_Failed_Percent *GT 50",   
  "*YES", "*NO", "E",
  "*NONE", "NNN",
  "*NONE",
  "V100", "CCC_V350", "1040307010101000",
  "0 ", "000500", "Expert advice", "SEV=Warning"
);

DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Srv43_Event_Flow_Failed_High";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES, SITNAME, TEXT, PDT, AUTOSTART, ALERTLIST, QIBSCOPE,
  SENDMSGQ, AUTOSOPT, CMD, LSTRELEASE, LSTUSRPRF, LSTDATE,
  REEV_DAYS, REEV_TIME, ADVISE, SITINFO)
VALUES
  (
  "0000000000000000000000000000400000000000000",
  "IC_Srv43_Event_Flow_Failed_High",
  "High event flow failure at WIC Server",
  "*IF
   *VALUE KICWICS_SERVER4300.Event_Flows_Failed_Percent *GT 50",   
  "*YES", "*NO", "E",
  "*NONE", "NNN",
  "*NONE",
  "V100", "CCC_V350", "1040307010101000",
  "0 ", "000500", "Expert advice", "SEV=Warning"
);

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Srv_Event_Flow_Rate_High";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES, SITNAME, TEXT, PDT, AUTOSTART, ALERTLIST, QIBSCOPE,
  SENDMSGQ, AUTOSOPT, CMD, LSTRELEASE, LSTUSRPRF, LSTDATE,
  REEV_DAYS, REEV_TIME, ADVISE, SITINFO)
VALUES
  (
  "0000000000000000000000000000400000000000000",
  "IC_Srv_Event_Flow_Rate_High",
  "High event flow rate at WIC Server",
  "*IF
   *VALUE KICWICS_SERVER00.Event_Flows_Processed_Rate *GT 100",   
  "*YES", "*NO", "E",
  "*NONE", "NNN",
  "*NONE",
  "V100", "CCC_V350", "1040307010101000",
  "0 ", "000500", "Expert advice", "SEV=Warning"
);


DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Srv43_Event_Flow_Rate_High";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES, SITNAME, TEXT, PDT, AUTOSTART, ALERTLIST, QIBSCOPE,
  SENDMSGQ, AUTOSOPT, CMD, LSTRELEASE, LSTUSRPRF, LSTDATE,
  REEV_DAYS, REEV_TIME, ADVISE, SITINFO)
VALUES
  (
  "0000000000000000000000000000400000000000000",
  "IC_Srv43_Event_Flow_Rate_High",
  "High event flow rate at WIC Server",
  "*IF
   *VALUE KICWICS_SERVER4300.Event_Flows_Processed_Rate *GT 100",   
  "*YES", "*NO", "E",
  "*NONE", "NNN",
  "*NONE",
  "V100", "CCC_V350", "1040307010101000",
  "0 ", "000500", "Expert advice", "SEV=Warning"
);

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Srv42_Error_Logged";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES, SITNAME, TEXT, PDT, AUTOSTART, ALERTLIST, QIBSCOPE,
  SENDMSGQ, AUTOSOPT, CMD, LSTRELEASE, LSTUSRPRF, LSTDATE,
  REEV_DAYS, REEV_TIME, ADVISE, SITINFO)
VALUES
  (
  "0000000000000000000000000000400000000000000",
  "IC_Srv42_Error_Logged",
  "Error was logged at the System Log",
  "*IF *VALUE KICWICSLOG00.Server_Version *EQ '4.2' *AND *SCAN
   KICWICSLOG00.Message_Type *EQ Error",
  "*YES", "*NO", "E",
  "*NONE", "NNN",
  "*NONE",
  "V100", "CCC_V350", "1041215010101000",
  "0 ", "000000", "Expert advice", "SEV=Warning"
);


DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Srv43_Error_Logged";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES, SITNAME, TEXT, PDT, AUTOSTART, ALERTLIST, QIBSCOPE,
  SENDMSGQ, AUTOSOPT, CMD, LSTRELEASE, LSTUSRPRF, LSTDATE,
  REEV_DAYS, REEV_TIME, ADVISE, SITINFO)
VALUES
  (
  "0000000000000000000000000000400000000000000",
  "IC_Srv43_Error_Logged",
  "Error was logged at the System Log",
  "*IF *VALUE KICWICSLOG00.Server_Version *EQ '4.3' *AND *SCAN
    KICWICSLOG00.Message_Type *EQ Error",
  "*YES", "*NO", "E",
  "*NONE", "NNN",
  "*NONE",
  "V100", "CCC_V350", "1041215010101000",
  "0 ", "000000", "Expert advice", "SEV=Warning"
);

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Srv42_Message_Type_Unknown";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES, SITNAME, TEXT, PDT, AUTOSTART, ALERTLIST, QIBSCOPE,
  SENDMSGQ, AUTOSOPT, CMD, LSTRELEASE, LSTUSRPRF, LSTDATE,
  REEV_DAYS, REEV_TIME, ADVISE, SITINFO)
VALUES
  (
  "0000000000000000000000000000400000000000000",
  "IC_Srv42_Message_Type_Unknown",
  "Message type is not one of the known types",
  "*IF *VALUE KICWICSLOG00.Server_Version *EQ '4.2' *AND *SCAN
   KICWICSLOG00.Message_Type *NE Error *AND *SCAN 
   KICWICSLOG00.Message_Type *NE Info *AND *SCAN KICWICSLOG00.Message_Type 
   *NE Warning  *AND  *SCAN KICWICSLOG00.Message_Type *NE Trace *AND
   *SCAN KICWICSLOG00.Message_Type *NE Start",
  "*YES", "*NO", "E",
  "*NONE", "NNN",
  "*NONE",
  "V100", "CCC_V350", "1041215010101000",
  "0 ", "000000", "Expert advice", "SEV=Warning"
);


DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Srv43_Message_Type_Unknown";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES, SITNAME, TEXT, PDT, AUTOSTART, ALERTLIST, QIBSCOPE,
  SENDMSGQ, AUTOSOPT, CMD, LSTRELEASE, LSTUSRPRF, LSTDATE,
  REEV_DAYS, REEV_TIME, ADVISE, SITINFO)
VALUES
  (
  "0000000000000000000000000000400000000000000",
  "IC_Srv43_Message_Type_Unknown",
  "Message type is not one of the known types",
  "*IF *VALUE KICWICSLOG00.Server_Version *EQ '4.3' *AND *SCAN
   KICWICSLOG00.Message_Type *NE Error *AND *SCAN 
   KICWICSLOG00.Message_Type *NE Info *AND *SCAN KICWICSLOG00.Message_Type 
   *NE Warning  *AND  *SCAN KICWICSLOG00.Message_Type *NE Trace *AND
   *SCAN KICWICSLOG00.Message_Type *NE Start",
  "*YES", "*NO", "E",
  "*NONE", "NNN",
  "*NONE",
  "V100", "CCC_V350", "1041215010101000",
  "0 ", "000000", "Expert advice", "SEV=Warning"
);


/******************************************/
/*     Collaboration Situations           */
/******************************************/

DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Collaboration_Not_Active";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES, SITNAME, TEXT, PDT, AUTOSTART, ALERTLIST, QIBSCOPE,
  SENDMSGQ, AUTOSOPT, CMD, LSTRELEASE, LSTUSRPRF, LSTDATE,
  REEV_DAYS, REEV_TIME, ADVISE, SITINFO)
VALUES
  (
  "0000000000000000000000000000400000000000000",
  "IC_Collaboration_Not_Active",
  "Collaboration status is not active",
  "*IF
   *VALUE KICWICS_COLLABORATION00.Collaboration_Status *NE 5",
  "*YES", "*NO", "E",
  "*NONE", "NNN",
  "*NONE",
  "V100", "CCC_V350", "1040307010101000",
  "0 ", "000500", "Expert advice", "SEV=Warning"
);

DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Collab_Mode_Not_Normal";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES, SITNAME, TEXT, PDT, AUTOSTART, ALERTLIST, QIBSCOPE,
  SENDMSGQ, AUTOSOPT, CMD, LSTRELEASE, LSTUSRPRF, LSTDATE,
  REEV_DAYS, REEV_TIME, ADVISE, SITINFO)
VALUES
  (
  "0000000000000000000000000000400000000000000",
  "IC_Collab_Mode_Not_Normal",
  "Collaboration mode is not normal",
  "*IF
   *VALUE KICWICS_COLLABORATION00.Collaboration_Mode *NE 2",
  "*YES", "*NO", "E",
  "*NONE", "NNN",
  "*NONE",
  "V100", "CCC_V350", "1040307010101000",
  "0 ", "000500", "Expert advice", "SEV=Warning"
);

DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Queued_Event_Flow_High";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES, SITNAME, TEXT, PDT, AUTOSTART, ALERTLIST, QIBSCOPE,
  SENDMSGQ, AUTOSOPT, CMD, LSTRELEASE, LSTUSRPRF, LSTDATE,
  REEV_DAYS, REEV_TIME, ADVISE, SITINFO)
VALUES
  (
  "0000000000000000000000000000400000000000000",
  "IC_Queued_Event_Flow_High",
  "High number of collaboration event flows queued",
  "*IF
   *VALUE KICWICS_COLLABORATION00.Event_Flows_Queued *GT 10",     
  "*YES", "*NO", "E",
  "*NONE", "NNN",
  "*NONE",
  "V100", "CCC_V350", "1040307010101000",
  "0 ", "000500", "Expert advice", "SEV=Warning"
);

DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Access_Flow_Fail_Rate_High";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES, SITNAME, TEXT, PDT, AUTOSTART, ALERTLIST, QIBSCOPE,
  SENDMSGQ, AUTOSOPT, CMD, LSTRELEASE, LSTUSRPRF, LSTDATE,
  REEV_DAYS, REEV_TIME, ADVISE, SITINFO)
VALUES
  (
  "0000000000000000000000000000400000000000000",
  "IC_Access_Flow_Fail_Rate_High",
  "High rate of failed access flows",
  "*IF
  *VALUE KICWICS_COLLABORATION00.Access_Flows_Failed_Rate *GT 100",
  "*YES", "*NO", "E",
  "*NONE", "NNN",
  "*NONE",
  "V100", "CCC_V350", "1040307010101000",
  "0 ", "000500", "Expert advice", "SEV=Warning"
);


/******************************************/
/*     Connector Situations               */
/******************************************/

DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Connector_Agent_Not_Active";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES, SITNAME, TEXT, PDT, AUTOSTART, ALERTLIST, QIBSCOPE,
  SENDMSGQ, AUTOSOPT, CMD, LSTRELEASE, LSTUSRPRF, LSTDATE,
  REEV_DAYS, REEV_TIME, ADVISE, SITINFO)
VALUES
  (
  "0000000000000000000000000000400000000000000",
  "IC_Connector_Agent_Not_Active",
  "Connector agent status is not active",
  "*IF
   *VALUE KICWICS_CONNECTOR00.Agent_Status *NE 5",
  "*YES", "*NO", "E",
  "*NONE", "NNN",
  "*NONE",
  "V100", "CCC_V350", "1040307010101000",
  "0 ", "000500", "Expert advice", "SEV=Warning"
);

DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Controller_Not_Active";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES, SITNAME, TEXT, PDT, AUTOSTART, ALERTLIST, QIBSCOPE,
  SENDMSGQ, AUTOSOPT, CMD, LSTRELEASE, LSTUSRPRF, LSTDATE,
  REEV_DAYS, REEV_TIME, ADVISE, SITINFO)
VALUES
  (
  "0000000000000000000000000000400000000000000",
  "IC_Controller_Not_Active",
  "Connector Controller status is not active",
  "*IF
   *VALUE KICWICS_CONNECTOR00.Connector_Status *NE 5",
  "*YES", "*NO", "E",
  "*NONE", "NNN",
  "*NONE",
  "V100", "CCC_V350", "1040307010101000",
  "0 ", "000500", "Expert advice", "SEV=Warning"
);


DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Connector_Appl_Not_Active";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES, SITNAME, TEXT, PDT, AUTOSTART, ALERTLIST, QIBSCOPE,
  SENDMSGQ, AUTOSOPT, CMD, LSTRELEASE, LSTUSRPRF, LSTDATE,
  REEV_DAYS, REEV_TIME, ADVISE, SITINFO)
VALUES
  (
  "0000000000000000000000000000400000000000000",
  "IC_Connector_Appl_Not_Active",
  "Connector application status is not active",
  "*IF
   *VALUE KICWICS_CONNECTOR00.Connector_Application_Status *NE 5",
  "*YES", "*NO", "E",
  "*NONE", "NNN",
  "*NONE",
  "V100", "CCC_V350", "1040307010101000",
  "0 ", "000500", "Expert advice", "SEV=Warning"
);


DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME = "IC_Conn_Consumed_Ops_Rate_High";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES, SITNAME, TEXT, PDT, AUTOSTART, ALERTLIST, QIBSCOPE,
  SENDMSGQ, AUTOSOPT, CMD, LSTRELEASE, LSTUSRPRF, LSTDATE,
  REEV_DAYS, REEV_TIME, ADVISE, SITINFO)
VALUES
  (
  "0000000000000000000000000000400000000000000",
  "IC_Conn_Consumed_Ops_Rate_High",
  "Rate at which connector consumed operations is high",
  "*IF
   *VALUE KICWICS_CONNECTOR00.Consumed_Operations_Rate *GT 100",
  "*YES", "*NO", "E",
  "*NONE", "NNN",
  "*NONE",
  "V100", "CCC_V350", "1040307010101000",
  "0 ", "000500", "Expert advice", "SEV=Warning"
);


/* ************************************************* */
/*                                                   */
/*        Object Access List                         */
/*  Required for CNP to display situations at the    */
/*  situation editor dialog for navigation nodes.    */
/* ************************************************* */

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7*/

/******************************************/
/*     Server Situations                  */
/******************************************/

DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Server_Not_Active";

DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Server_Active";

INSERT INTO O4SRV.TOBJACCL
  (ACTIVATION ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJECTLOCK ,
   OBJNAME ,
   OPERATION
  )
VALUES
  (" " ,                                               /* ACTIVATION */
   "Y" ,                                               /* HUB */
   "1041215232517000" ,                                /* LSTDATE */
   " " ,                                               /* LSTRELEASE */
   "SYSADMIN" ,                                        /* LSTUSRPRF */
   "*WICS" ,                                           /* NODEL */
   "5140" ,                                            /* OBJCLASS */
   " " ,                                               /* OBJECTLOCK */
   "IC_Server_Active" ,                                /* OBJNAME */
   " "                                                 /* OPERATION */
  );


DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Server43_Not_Active";

DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Server43_Active";

INSERT INTO O4SRV.TOBJACCL
  (ACTIVATION ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJECTLOCK ,
   OBJNAME ,
   OPERATION
  )
VALUES
  (" " ,                                               /* ACTIVATION */
   "Y" ,                                               /* HUB */
   "1041215232517000" ,                                /* LSTDATE */
   " " ,                                               /* LSTRELEASE */
   "SYSADMIN" ,                                        /* LSTUSRPRF */
   "*WICS" ,                                           /* NODEL */
   "5140" ,                                            /* OBJCLASS */
   " " ,                                               /* OBJECTLOCK */
   "IC_Server43_Active" ,                              /* OBJNAME */
   " "                                                 /* OPERATION */
  );


DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Server_Memory_Low";

INSERT INTO O4SRV.TOBJACCL
  (ACTIVATION ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJECTLOCK ,
   OBJNAME ,
   OPERATION
  )
VALUES
  (" " ,                                               /* ACTIVATION */
   "Y" ,                                               /* HUB */
   "0970122232517000" ,                                /* LSTDATE */
   " " ,                                               /* LSTRELEASE */
   "SYSADMIN" ,                                        /* LSTUSRPRF */
   "*WICS" ,                                           /* NODEL */
   "5140" ,                                            /* OBJCLASS */
   " " ,                                               /* OBJECTLOCK */
   "IC_Server_Memory_Low",                             /* OBJNAME */
   " "                                                 /* OPERATION */
  );


DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Server43_Memory_Low";

INSERT INTO O4SRV.TOBJACCL
  (ACTIVATION ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJECTLOCK ,
   OBJNAME ,
   OPERATION
  )
VALUES
  (" " ,                                               /* ACTIVATION */
   "Y" ,                                               /* HUB */
   "0970122232517000" ,                                /* LSTDATE */
   " " ,                                               /* LSTRELEASE */
   "SYSADMIN" ,                                        /* LSTUSRPRF */
   "*WICS" ,                                           /* NODEL */
   "5140" ,                                            /* OBJCLASS */
   " " ,                                               /* OBJECTLOCK */
   "IC_Server43_Memory_Low",                           /* OBJNAME */
   " "                                                 /* OPERATION */
  );


DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Srv_Event_Flow_Failed_High";

INSERT INTO O4SRV.TOBJACCL
  (ACTIVATION ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJECTLOCK ,
   OBJNAME ,
   OPERATION
  )
VALUES
  (" " ,                                               /* ACTIVATION */
   "Y" ,                                               /* HUB */
   "0970122232517000" ,                                /* LSTDATE */
   " " ,                                               /* LSTRELEASE */
   "SYSADMIN" ,                                        /* LSTUSRPRF */
   "*WICS" ,                                           /* NODEL */
   "5140" ,                                            /* OBJCLASS */
   " " ,                                               /* OBJECTLOCK */
   "IC_Srv_Event_Flow_Failed_High",                    /* OBJNAME */
   " "                                                 /* OPERATION */
  );


DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Srv43_Event_Flow_Failed_High";

INSERT INTO O4SRV.TOBJACCL
  (ACTIVATION ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJECTLOCK ,
   OBJNAME ,
   OPERATION
  )
VALUES
  (" " ,                                               /* ACTIVATION */
   "Y" ,                                               /* HUB */
   "0970122232517000" ,                                /* LSTDATE */
   " " ,                                               /* LSTRELEASE */
   "SYSADMIN" ,                                        /* LSTUSRPRF */
   "*WICS" ,                                           /* NODEL */
   "5140" ,                                            /* OBJCLASS */
   " " ,                                               /* OBJECTLOCK */
   "IC_Srv43_Event_Flow_Failed_High",                  /* OBJNAME */
   " "                                                 /* OPERATION */
  );


DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Srv_Event_Flow_Rate_High";

INSERT INTO O4SRV.TOBJACCL
  (ACTIVATION ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJECTLOCK ,
   OBJNAME ,
   OPERATION
  )
VALUES
  (" " ,                                               /* ACTIVATION */
   "Y" ,                                               /* HUB */
   "0970122232517000" ,                                /* LSTDATE */
   " " ,                                               /* LSTRELEASE */
   "SYSADMIN" ,                                        /* LSTUSRPRF */
   "*WICS" ,                                           /* NODEL */
   "5140" ,                                            /* OBJCLASS */
   " " ,                                               /* OBJECTLOCK */
   "IC_Srv_Event_Flow_Rate_High",                      /* OBJNAME */
   " "                                                 /* OPERATION */
  );


DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Srv43_Event_Flow_Rate_High";

INSERT INTO O4SRV.TOBJACCL
  (ACTIVATION ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJECTLOCK ,
   OBJNAME ,
   OPERATION
  )
VALUES
  (" " ,                                               /* ACTIVATION */
   "Y" ,                                               /* HUB */
   "0970122232517000" ,                                /* LSTDATE */
   " " ,                                               /* LSTRELEASE */
   "SYSADMIN" ,                                        /* LSTUSRPRF */
   "*WICS" ,                                           /* NODEL */
   "5140" ,                                            /* OBJCLASS */
   " " ,                                               /* OBJECTLOCK */
   "IC_Srv43_Event_Flow_Rate_High",                    /* OBJNAME */
   " "                                                 /* OPERATION */
  );


DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Srv42_Error_Logged";

INSERT INTO O4SRV.TOBJACCL
  (ACTIVATION ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJECTLOCK ,
   OBJNAME ,
   OPERATION
  )
VALUES
  (" " ,                                               /* ACTIVATION */
   "Y" ,                                               /* HUB */
   "1041215232517000" ,                                /* LSTDATE */
   " " ,                                               /* LSTRELEASE */
   "SYSADMIN" ,                                        /* LSTUSRPRF */
   "*WICS" ,                                           /* NODEL */
   "5140" ,                                            /* OBJCLASS */
   " " ,                                               /* OBJECTLOCK */
   "IC_Srv42_Error_Logged" ,                           /* OBJNAME */
   " "                                                 /* OPERATION */
  );


DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Srv43_Error_Logged";

INSERT INTO O4SRV.TOBJACCL
  (ACTIVATION ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJECTLOCK ,
   OBJNAME ,
   OPERATION
  )
VALUES
  (" " ,                                               /* ACTIVATION */
   "Y" ,                                               /* HUB */
   "1041215232517000" ,                                /* LSTDATE */
   " " ,                                               /* LSTRELEASE */
   "SYSADMIN" ,                                        /* LSTUSRPRF */
   "*WICS" ,                                           /* NODEL */
   "5140" ,                                            /* OBJCLASS */
   " " ,                                               /* OBJECTLOCK */
   "IC_Srv43_Error_Logged" ,                           /* OBJNAME */
   " "                                                 /* OPERATION */
  );


DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Srv42_Message_Type_Unknown";

INSERT INTO O4SRV.TOBJACCL
  (ACTIVATION ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJECTLOCK ,
   OBJNAME ,
   OPERATION
  )
VALUES
  (" " ,                                               /* ACTIVATION */
   "Y" ,                                               /* HUB */
   "1041215232517000" ,                                /* LSTDATE */
   " " ,                                               /* LSTRELEASE */
   "SYSADMIN" ,                                        /* LSTUSRPRF */
   "*WICS" ,                                           /* NODEL */
   "5140" ,                                            /* OBJCLASS */
   " " ,                                               /* OBJECTLOCK */
   "IC_Srv42_Message_Type_Unknown" ,                   /* OBJNAME */
   " "                                                 /* OPERATION */
  );


DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Srv43_Message_Type_Unknown";

INSERT INTO O4SRV.TOBJACCL
  (ACTIVATION ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJECTLOCK ,
   OBJNAME ,
   OPERATION
  )
VALUES
  (" " ,                                               /* ACTIVATION */
   "Y" ,                                               /* HUB */
   "1041215232517000" ,                                /* LSTDATE */
   " " ,                                               /* LSTRELEASE */
   "SYSADMIN" ,                                        /* LSTUSRPRF */
   "*WICS" ,                                           /* NODEL */
   "5140" ,                                            /* OBJCLASS */
   " " ,                                               /* OBJECTLOCK */
   "IC_Srv43_Message_Type_Unknown" ,                   /* OBJNAME */
   " "                                                 /* OPERATION */
  );

/******************************************/
/*     Connector Situations               */
/******************************************/

DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Collaboration_Not_Active";

INSERT INTO O4SRV.TOBJACCL
  (ACTIVATION ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJECTLOCK ,
   OBJNAME ,
   OPERATION
  )
VALUES
  (" " ,                                               /* ACTIVATION */
   "Y" ,                                               /* HUB */
   "0970122232517000" ,                                /* LSTDATE */
   " " ,                                               /* LSTRELEASE */
   "SYSADMIN" ,                                        /* LSTUSRPRF */
   "*WICS" ,                                           /* NODEL */
   "5140" ,                                            /* OBJCLASS */
   " " ,                                               /* OBJECTLOCK */
   "IC_Collaboration_Not_Active" ,                     /* OBJNAME */
   " "                                                 /* OPERATION */
  );


DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Collab_Mode_Not_Normal";

INSERT INTO O4SRV.TOBJACCL
  (ACTIVATION ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJECTLOCK ,
   OBJNAME ,
   OPERATION
  )
VALUES
  (" " ,                                               /* ACTIVATION */
   "Y" ,                                               /* HUB */
   "0970122232517000" ,                                /* LSTDATE */
   " " ,                                               /* LSTRELEASE */
   "SYSADMIN" ,                                        /* LSTUSRPRF */
   "*WICS" ,                                           /* NODEL */
   "5140" ,                                            /* OBJCLASS */
   " " ,                                               /* OBJECTLOCK */
   "IC_Collab_Mode_Not_Normal" ,                       /* OBJNAME */
   " "                                                 /* OPERATION */
  );


DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Queued_Event_Flow_High";

INSERT INTO O4SRV.TOBJACCL
  (ACTIVATION ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJECTLOCK ,
   OBJNAME ,
   OPERATION
  )
VALUES
  (" " ,                                               /* ACTIVATION */
   "Y" ,                                               /* HUB */
   "0970122232517000" ,                                /* LSTDATE */
   " " ,                                               /* LSTRELEASE */
   "SYSADMIN" ,                                        /* LSTUSRPRF */
   "*WICS" ,                                           /* NODEL */
   "5140" ,                                            /* OBJCLASS */
   " " ,                                               /* OBJECTLOCK */
   "IC_Queued_Event_Flow_High" ,                       /* OBJNAME */
   " "                                                 /* OPERATION */
  );


DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Access_Flow_Fail_Rate_High";

INSERT INTO O4SRV.TOBJACCL
  (ACTIVATION ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJECTLOCK ,
   OBJNAME ,
   OPERATION
  )
VALUES
  (" " ,                                               /* ACTIVATION */
   "Y" ,                                               /* HUB */
   "0970122232517000" ,                                /* LSTDATE */
   " " ,                                               /* LSTRELEASE */
   "SYSADMIN" ,                                        /* LSTUSRPRF */
   "*WICS" ,                                           /* NODEL */
   "5140" ,                                            /* OBJCLASS */
   " " ,                                               /* OBJECTLOCK */
   "IC_Access_Flow_Fail_Rate_High" ,                   /* OBJNAME */
   " "                                                 /* OPERATION */
  );


/******************************************/
/*     Connector Situations               */
/******************************************/

DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Connector_Agent_Not_Active";

INSERT INTO O4SRV.TOBJACCL
  (ACTIVATION ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJECTLOCK ,
   OBJNAME ,
   OPERATION
  )
VALUES
  (" " ,                                               /* ACTIVATION */
   "Y" ,                                               /* HUB */
   "0970122232517000" ,                                /* LSTDATE */
   " " ,                                               /* LSTRELEASE */
   "SYSADMIN" ,                                        /* LSTUSRPRF */
   "*WICS" ,                                           /* NODEL */
   "5140" ,                                            /* OBJCLASS */
   " " ,                                               /* OBJECTLOCK */
   "IC_Connector_Agent_Not_Active" ,                   /* OBJNAME */
   " "                                                 /* OPERATION */
  );


DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Controller_Not_Active";

INSERT INTO O4SRV.TOBJACCL
  (ACTIVATION ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJECTLOCK ,
   OBJNAME ,
   OPERATION
  )
VALUES
  (" " ,                                               /* ACTIVATION */
   "Y" ,                                               /* HUB */
   "0970122232517000" ,                                /* LSTDATE */
   " " ,                                               /* LSTRELEASE */
   "SYSADMIN" ,                                        /* LSTUSRPRF */
   "*WICS" ,                                           /* NODEL */
   "5140" ,                                            /* OBJCLASS */
   " " ,                                               /* OBJECTLOCK */
   "IC_Controller_Not_Active" ,                        /* OBJNAME */
   " "                                                 /* OPERATION */
  );


DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Connector_Appl_Not_Active";

INSERT INTO O4SRV.TOBJACCL
  (ACTIVATION ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJECTLOCK ,
   OBJNAME ,
   OPERATION
  )
VALUES
  (" " ,                                               /* ACTIVATION */
   "Y" ,                                               /* HUB */
   "0970122232517000" ,                                /* LSTDATE */
   " " ,                                               /* LSTRELEASE */
   "SYSADMIN" ,                                        /* LSTUSRPRF */
   "*WICS" ,                                           /* NODEL */
   "5140" ,                                            /* OBJCLASS */
   " " ,                                               /* OBJECTLOCK */
   "IC_Connector_Appl_Not_Active" ,                    /* OBJNAME */
   " "                                                 /* OPERATION */
  );


DELETE FROM O4SRV.TOBJACCL
   WHERE OBJNAME = "IC_Conn_Consumed_Ops_Rate_High";

INSERT INTO O4SRV.TOBJACCL
  (ACTIVATION ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJECTLOCK ,
   OBJNAME ,
   OPERATION
  )
VALUES
  (" " ,                                               /* ACTIVATION */
   "Y" ,                                               /* HUB */
   "0970122232517000" ,                                /* LSTDATE */
   " " ,                                               /* LSTRELEASE */
   "SYSADMIN" ,                                        /* LSTUSRPRF */
   "*WICS" ,                                           /* NODEL */
   "5140" ,                                            /* OBJCLASS */
   " " ,                                               /* OBJECTLOCK */
   "IC_Conn_Consumed_Ops_Rate_High" ,                  /* OBJNAME */
   " "                                                 /* OPERATION */
  );

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kic:KIC1000"
    WHERE SITNAME = "IC_Access_Flow_Fail_Rate_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kic:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IC_Access_Flow_Fail_Rate_High";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kic:KIC1001"
    WHERE SITNAME = "IC_Collab_Mode_Not_Normal";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kic:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IC_Collab_Mode_Not_Normal";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kic:KIC1002"
    WHERE SITNAME = "IC_Collaboration_Not_Active";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kic:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IC_Collaboration_Not_Active";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kic:KIC1003"
    WHERE SITNAME = "IC_Conn_Consumed_Ops_Rate_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kic:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IC_Conn_Consumed_Ops_Rate_High";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kic:KIC1004"
    WHERE SITNAME = "IC_Connector_Agent_Not_Active";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kic:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IC_Connector_Agent_Not_Active";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kic:KIC1005"
    WHERE SITNAME = "IC_Connector_Appl_Not_Active";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kic:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IC_Connector_Appl_Not_Active";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kic:KIC1006"
    WHERE SITNAME = "IC_Controller_Not_Active";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kic:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IC_Controller_Not_Active";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kic:KIC1007"
    WHERE SITNAME = "IC_Queued_Event_Flow_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kic:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IC_Queued_Event_Flow_High";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kic:KIC1008"
    WHERE SITNAME = "IC_Server43_Active";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kic:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IC_Server43_Active";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kic:KIC1009"
    WHERE SITNAME = "IC_Server43_Memory_Low";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kic:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IC_Server43_Memory_Low";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kic:KIC1011"
    WHERE SITNAME = "IC_Server_Active";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kic:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IC_Server_Active";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kic:KIC1012"
    WHERE SITNAME = "IC_Server_Memory_Low";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kic:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IC_Server_Memory_Low";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kic:KIC1014"
    WHERE SITNAME = "IC_Srv42_Error_Logged";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kic:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IC_Srv42_Error_Logged";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kic:KIC1015"
    WHERE SITNAME = "IC_Srv42_Message_Type_Unknown";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kic:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IC_Srv42_Message_Type_Unknown";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kic:KIC1016"
    WHERE SITNAME = "IC_Srv43_Error_Logged";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kic:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IC_Srv43_Error_Logged";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kic:KIC1017"
    WHERE SITNAME = "IC_Srv43_Event_Flow_Failed_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kic:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IC_Srv43_Event_Flow_Failed_High";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kic:KIC1018"
    WHERE SITNAME = "IC_Srv43_Event_Flow_Rate_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kic:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IC_Srv43_Event_Flow_Rate_High";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kic:KIC1019"
    WHERE SITNAME = "IC_Srv43_Message_Type_Unknown";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kic:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IC_Srv43_Message_Type_Unknown";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kic:KIC1020"
    WHERE SITNAME = "IC_Srv_Event_Flow_Failed_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kic:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IC_Srv_Event_Flow_Failed_High";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kic:KIC1021"
    WHERE SITNAME = "IC_Srv_Event_Flow_Rate_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kic:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IC_Srv_Event_Flow_Rate_High";
UPDATE O4SRV.CCT
    SET DESC = "Kic:KIC1200"
    WHERE NAME = "Change WIC Collaboration Status";
UPDATE O4SRV.CCT
    SET DESC = "Kic:KIC1201"
    WHERE NAME = "Change WIC Connector Status";
UPDATE O4SRV.CCT
    SET DESC = "Kic:KIC1202"
    WHERE NAME = "Start WIC Server";
UPDATE O4SRV.CCT
    SET DESC = "Kic:KIC1203"
    WHERE NAME = "Start WIC Server V4.3";
UPDATE O4SRV.CCT
    SET DESC = "Kic:KIC1204"
    WHERE NAME = "Stop WIC Server";
UPDATE O4SRV.CCT
    SET DESC = "Kic:KIC1205"
    WHERE NAME = "Stop WIC Server V4.3";
